Event - (2013-01-16 12:00 UTC-8) - Ten Forward - Designing Meaningful Security and Privacy Experiences (in a world where nobody cares?)

RESOLVED FIXED

Status

Air Mozilla
Events
RESOLVED FIXED
6 years ago
6 years ago

People

(Reporter: lco, Assigned: pdang)

Tracking

Details

(Reporter)

Description

6 years ago
Topic: Designing Meaningful Security and Privacy Experiences (in a world where nobody cares?)
Presenter: Larissa Co
Date: 2012-12-13
Time: 12:00 UTC+8
Duration: 1 Hour
Audience: 
Air Mozilla: No
Dial-in: No
Archive: No
Member of IT to help with A/V: Yes
Description: Security and privacy on the Web are core to Mozilla's values, but they are often presented to the user in the form of annoying dialogs and confusing, overly technical options.

Are security and privacy doomed to be enemies of usability? And more importantly, do they even matter to our users?

In this talk, I'll attempt to get to the heart of what our users care about and how Mozilla can keep them safe while enabling them to do the things they want to do online.
Is there any particular reason you don't want this streamed on Air Mozilla or recorded?  It looks like it would be of interest to the whole Mozilla community.
(Reporter)

Comment 2

6 years ago
I do want it streamed... maybe I didn't check that box?

Also, I accidentally selected UTC +8 instead of UTC -8. Sorry!
(Reporter)

Comment 3

6 years ago
(In reply to Larissa Co from comment #2)
> I do want it streamed... maybe I didn't check that box?
> 
> Also, I accidentally selected UTC +8 instead of UTC -8. Sorry!

And just confirming that the actual talk will be in Ten Forward, but displayed in SF, Toronto (not sure what the procedure is with other offices, but it's totally fine with me if they're displayed there too.)
(Reporter)

Comment 4

6 years ago
Sorry, I have to postpone this brown bag till January :( Richard, can you let me know if I should just open a new bug for a different date?
(Assignee)

Comment 5

6 years ago
(In reply to Larissa Co from comment #4)
> Sorry, I have to postpone this brown bag till January :( Richard, can you
> let me know if I should just open a new bug for a different date?

Larissa, we can postpone this event. Which date would you like to postpone the event to?
(Assignee)

Updated

6 years ago
Whiteboard: event has been postponed
(Assignee)

Updated

6 years ago
Summary: Event - (2012-12-13 12:00 UTC+8) - Ten Forward - Designing Meaningful Security and Privacy Experiences (in a world where nobody cares?) → Event - (2013-01-?? 12:00 UTC-8) - Ten Forward - Designing Meaningful Security and Privacy Experiences (in a world where nobody cares?)
Larissa,

No just edit the Summary for the new date.
(Reporter)

Comment 7

6 years ago
Thanks! I've edited the summary to reflect the new date I'm proposing: Jan 16, 2013 at noon PST at 10-Fwd.

Please let me know if we're ready to go.
Summary: Event - (2013-01-?? 12:00 UTC-8) - Ten Forward - Designing Meaningful Security and Privacy Experiences (in a world where nobody cares?) → Event - (2013-01-16 12:00 UTC-8) - Ten Forward - Designing Meaningful Security and Privacy Experiences (in a world where nobody cares?)
(Assignee)

Comment 8

6 years ago
(In reply to Larissa Co from comment #7)
> Thanks! I've edited the summary to reflect the new date I'm proposing: Jan
> 16, 2013 at noon PST at 10-Fwd.
> 
> Please let me know if we're ready to go.

Larissa, just wanted to confirm that you want to stream this event on Sunday, Jan 16?
(Assignee)

Comment 9

6 years ago
(In reply to Patrick Dang [:pdang] from comment #8)
> (In reply to Larissa Co from comment #7)
> > Thanks! I've edited the summary to reflect the new date I'm proposing: Jan
> > 16, 2013 at noon PST at 10-Fwd.
> > 
> > Please let me know if we're ready to go.
> 
> Larissa, just wanted to confirm that you want to stream this event on
> Sunday, Jan 16?

Oops, was looking at December. Ignore that last comment.
(Reporter)

Comment 10

6 years ago
If only there were a way to delete comments from bugzilla :) That scared me for a second.
(Assignee)

Updated

6 years ago
Assignee: nobody → pdang
(Assignee)

Updated

6 years ago
Whiteboard: event has been postponed
(Assignee)

Updated

6 years ago
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.